#include "ComputerCell.h"
#include <tickypip.mbg>

ComputerCell::ComputerCell()
	: ConnectorCell()
{
	setConnectorType(CONNECTOR_END);
}

void
ComputerCell::paint(QPainter &paint)
{
	ConnectorCell::paint(paint);

	if (isActive())
		paint.drawPixmap(0, 0, board->Bitmap(EMbmTickypipComputer_active),board->Mask(EMbmTickypipComputer_active));
	else
		paint.drawPixmap(0, 0, board->Bitmap(EMbmTickypipComputer),board->Mask(EMbmTickypipComputer));
}

void
ComputerCell::activeChanged()
{
	if (isActive())
		getBoard()->incNumComputers();
	else
		getBoard()->decNumComputers();
}
