#include <e32base.h>
#include <eikapp.h>
#include <eikenv.h>
#include <quartzkeys.h>
#include "TickyPipApp.h"
#include "TickyPip.h"


TInt E32Dll(TDllReason /*aReason*/)
{
	return KErrNone;
}

EXPORT_C CApaApplication* NewApplication()
{
	return new (ELeave)TickyPipApp;
}

CApaDocument* TickyPipApp::CreateDocumentL()
{
	return new (ELeave)TickyPipDoc(*this);
}

TUid TickyPipApp::AppDllUid()const
{
	return TUid::Uid(0x101F9B51);
}

CEikAppUi* TickyPipDoc::CreateAppUiL()
{
	return new (ELeave)TickyPipAppUi;
}

TickyPipAppUi::TickyPipAppUi()
{
}

TickyPipAppUi::~TickyPipAppUi()
{
	RemoveFromStack(iView);
	delete iView;
	CloseSTDLIB();
}


void TickyPipAppUi::ConstructL()
{
	BaseConstructL();
	iView = new (ELeave) Tickypip;
	SetDefaultViewL(*iView);
	AddToStackL(*iView,iView);
}


void TickyPipAppUi::HandleCommandL(TInt aCommand)
{
	switch(aCommand)
	{
	case EEikCmdExit:
		Exit();
		break;
	case 0x1000:
		iEikonEnv->InfoWinL(_L("About Tickypip"),_L("Tickypip is every network administrator's worst nightmares brought to your PDA.\n\nYou must complete every level by connecting all computers to the main server.\n\nThe network, however, is horribly fractured, and it may take some creativity and patience to solve some puzzles\n\nCompatible with the levels from NetWalk for PalmOs!\nPlace levelspacks in the levels directory!\n\nLicense: GPL\nBy Christian Hammond at\nhttp://www.chipx86.com/projects/tickypip/\nPort by SomeOne!"));
		break;
	}

}
