#ifndef _TICKYPIP_H_
#define _TICKYPIP_H_

#include "base.h"
#include <eikcmbut.h>
#include <coecntrl.h>
#include <eikchlst.h>
#include <eiklabel.h>
//#include <qcombobox.h>
//#include <qlabel.h>
//#include <qvariant.h>
//#include <qwidget.h>
#include <coeview.h>
class QTPBoard;

class Tickypip: public CCoeControl,public MCoeControlObserver,public MCoeView
{
//	Q_OBJECT

	public:
		Tickypip();
		~Tickypip();

		void reset();

		void levelCompleted();

		void incMovesCount();
		
	protected: //slots
		void updateMoveLabel();
		void levelChanged(int level);
		//void nextLevel();
		bool selectLevelPack();

		TInt CountComponentControls()const ;

		virtual void Draw(const TRect& aRect) const;


		CCoeControl* ComponentControl(TInt aIndex)const;
		/**
		*
		* Returns a <code>TVwsViewId</code> uniquely identifying the view.
		*
		* @returns   "TVwsViewId"
		*            Represents a view in the server.
		*/
		virtual TVwsViewId ViewId() const;
		
		virtual void ViewActivatedL(const TVwsViewId& aPrevViewId,TUid aCustomMessageId,const TDesC8& aCustomMessage);
		
		/**
		*
		* Takes any action that is required following deactivation of the view.
		*
		* This reduces the work required of the window server.
		*
		*/
		virtual void ViewDeactivated();

			/**
	 *
	 * Handles an event from an observed control.
	 *
	 * This function is called when a control for which this control is the
	 * observer calls <code>CCoeControl::ReportEventL()</code>. It should be
	 * implemented by the observer control, and should handle all events sent
	 * by controls it observes.
	 *
	 * @param     "CCoeControl* aControl"
	 *            The control that sent the event.
	 * @param     "TCoeEvent aEventType"
	 *            The event type.
	 */
		virtual void HandleControlEventL(CCoeControl* aControl,TCoeEvent aEventType);

	private:
		QTPBoard *board;
		CEikLabel *movesLabel;
//		CEikCommandButton *nextButton;
		CEikCommandButton *levelPacks;
		CEikChoiceList *levelsCombo;
		TInt iMoves;
		TInt iRecord;
		CCoeControl* iFocused;
};

#endif /* _TICKYPIP_H_ */
